> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Salary



## OpenAPI

````yaml POST /contract/v1/salaries
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /contract/v1/salaries:
    post:
      tags:
        - Salaries
      summary: Create Salary
      operationId: CreateSalary
      requestBody:
        description: Salary object that needs to be created
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                employeeId:
                  type: string
                  format: uuid
                  description: The ID of the employee
                payPeriod:
                  type: string
                  description: Payment period of contract
                  enum:
                    - daily
                    - weekly
                    - biweekly
                    - monthly
                    - yearly
                currency:
                  type: string
                  description: Currency of contract
                  example: EUR
                grossSalary:
                  type: number
                  format: float
                  description: Salary amount
                grossPeriod:
                  type: string
                  description: >-
                    Period of gross salary. Defaults to 'yearly' if not
                    specified
                  enum:
                    - daily
                    - monthly
                    - yearly
                  default: yearly
                payments:
                  type: integer
                  description: Number of payments
                contributionGroupId:
                  type: string
                  format: uuid
                  description: Contribution group id
                startDate:
                  type: string
                  format: date
                  description: Salary start date
                endDate:
                  type: string
                  format: date
                  description: Salary end date
                comments:
                  type: string
                  description: Comments
                prorated:
                  type: boolean
                  description: Defines whether the salary is prorated or not
              required:
                - employeeId
                - payPeriod
                - currency
                - grossSalary
                - payments
                - contributionGroupId
                - startDate
                - prorated
      responses:
        '200':
          description: Array of Objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        payPeriod:
                          type: string
                          enum:
                            - daily
                            - weekly
                            - biweekly
                            - monthly
                            - yearly
                        currency:
                          type: string
                          example: EUR
                        grossSalary:
                          type: integer
                          example: 35000
                        payments:
                          type: integer
                          example: 12
                        contributionGroup:
                          type: string
                          example: Oficiales administrativos
                        startDate:
                          type: string
                          format: date
                        endDate:
                          type: string
                          format: date
                        comments:
                          type: string
                        prorated:
                          type: boolean
                          example: false
                        monthlyGrossSalary:
                          type: integer
                          example: 2917
                        remuneration:
                          type: number
                          format: float
                          example: 2916.67
                        createdAt:
                          type: string
                          format: Y-m-dTH:i:sP
                          example: '2020-01-01T10:00:00+01:00'
                        updatedAt:
                          type: string
                          format: Y-m-dTH:i:sP
                          example: '2020-01-01T10:00:00+01:00'
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````